Subject: Re: [PATCH 2/2] powerpc/e6500: TLB miss handler with hardware tablewalk support

From: Scott Wood <[email-masked]>
Date: Mon, 10 Sep 2012 19:26:34 -0500

On 09/07/2012 06:50 PM, Benjamin Herrenschmidt wrote:
>>>>>  #endif /* CONFIG_PPC64 */
>>>>> @@ -377,7 +382,7 @@ void tlb_flush_pgtable(struct mmu_gather *tlb, unsigned long address)
>>>>>  {
>>>>>  	int tsize = mmu_psize_defs[mmu_pte_psize].enc;
>>>>>  
>>>>> -	if (book3e_htw_enabled) {
>>>>> +	if (book3e_htw_mode) {
>>>>
>>>> Make it if (boot3e_htw_enabled != PPC_HTW_NONE)
>>
>> Seems a little verbose, but OK.
>>
>> Same with things like this, I guess:
>> 	book3e_htw_mode ? "enabled" : "not supported"
> 
> Well, it's no longer a boolean so ...

It's pretty common to use implicit boolean conversion when a zero value
means no/false/absent, even if there are multiple non-false
possibilities (e.g. pointers) -- but not a big deal to change it if you
prefer.

> BTW. On another note, can you pickup Ananth series for larger address
> space (minus the one patch that breaks the BookE build, it shouldn't
> matter) and see if there's any runtime issue on BookE 64 ? (And whether
> the larger address space actually works for you too, using something
> like high up mmap tests)

It booted OK for me in my initial testing with a ramdisk, but when I
tried to use the network (to load a high mmap test program) I got hangs
that didn't happen before that patchset.  I'll look into it more tomorrow.

-Scott